complexType "DataDocument"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 5 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | onBehalfOf?, originatingEvent, trade+, (party*, account*)?
</...>

Content Model Elements (5):

  account, onBehalfOf (in dataDocument), originatingEvent (in dataDocument), | party (defined in PartiesAndAccounts.model group), trade (in dataDocument)

All Direct / Indirect Based Elements (1):

  dataDocument

Known Usage Locations

- As direct type of elements (1):
  dataDocument

Annotation
A type defining a content model that is backwards compatible with older FpML releases and which can be used to contain sets of data without expressing any processing intention.
Type Definition Detail

Type Derivation Tree Document (extension) DataDocument

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="DataDocument"> <xsd:complexContent> <xsd:extension base="Document"> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="onBehalfOf" type="OnBehalfOf"/> <xsd:element name="originatingEvent" type="OriginatingEvent"/> <xsd:element maxOccurs="unbounded" name="trade" type="Trade"/> <!-- <xsd:element name="priceNotation" type="BasicQuotation" minOccurs="0" > <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> <xsd:appinfo> <view:exclusive view="transparency" /> <view:exclusive view="recordkeeping" /> <view:exclusive view="confirmation" /> <view:exclusive view="reporting" /> </xsd:appinfo> </xsd:annotation> </xsd:element> --> <!--View Generation: SKIPPED portfolio - Unsupported--> </xsd:sequence> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/5)
onBehalfOf

  Type: | OnBehalfOf, complex content

  Indicates which party (and accounts) a trade is being processed for.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="onBehalfOf" type="OnBehalfOf"/>

originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="originatingEvent" type="OriginatingEvent"/>

trade

  Type: | Trade, complex content

  The root element in an FpML trade document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.